Update a resource (partial)
curl --request PUT \
--url https://aquila.attaxr.com/api/notification-channels/{id} \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"_id": "<string>",
"userId": "<string>",
"target": "<string>",
"enabled": true,
"webhookUrl": "<string>",
"botToken": "<string>",
"chatId": "<string>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}
'const options = {
method: 'PUT',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
_id: '<string>',
userId: '<string>',
target: '<string>',
enabled: true,
webhookUrl: '<string>',
botToken: '<string>',
chatId: '<string>',
createdAt: '<unknown>',
updatedAt: '<unknown>'
})
};
fetch('https://aquila.attaxr.com/api/notification-channels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/notification-channels/{id}"
payload = {
"_id": "<string>",
"userId": "<string>",
"target": "<string>",
"enabled": True,
"webhookUrl": "<string>",
"botToken": "<string>",
"chatId": "<string>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"userId": "<string>",
"type": "email",
"target": "<string>",
"enabled": true,
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"webhookUrl": "<string>",
"botToken": "<string>",
"chatId": "<string>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Notification Channels
Update a resource (partial)
Partial merge update; id and userId in the body are ignored (owner scoping comes from the session).
PUT
/
api
/
notification-channels
/
{id}
Update a resource (partial)
curl --request PUT \
--url https://aquila.attaxr.com/api/notification-channels/{id} \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"_id": "<string>",
"userId": "<string>",
"target": "<string>",
"enabled": true,
"webhookUrl": "<string>",
"botToken": "<string>",
"chatId": "<string>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}
'const options = {
method: 'PUT',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
_id: '<string>',
userId: '<string>',
target: '<string>',
enabled: true,
webhookUrl: '<string>',
botToken: '<string>',
chatId: '<string>',
createdAt: '<unknown>',
updatedAt: '<unknown>'
})
};
fetch('https://aquila.attaxr.com/api/notification-channels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/notification-channels/{id}"
payload = {
"_id": "<string>",
"userId": "<string>",
"target": "<string>",
"enabled": True,
"webhookUrl": "<string>",
"botToken": "<string>",
"chatId": "<string>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"userId": "<string>",
"type": "email",
"target": "<string>",
"enabled": true,
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"webhookUrl": "<string>",
"botToken": "<string>",
"chatId": "<string>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Path Parameters
Body
application/json
Response
The updated resource.

